# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rubycas-server}
  s.version = "1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Matt Zukowski"]
  s.date = %q{2011-08-03}
  s.default_executable = %q{rubycas-server}
  s.description = %q{Provides single sign-on authentication for web applications using the CAS protocol.}
  s.email = ["matt@zukowski.ca"]
  s.executables = ["rubycas-server"]
  s.extra_rdoc_files = ["CHANGELOG", "LICENSE", "README.md"]
  s.files = ["CHANGELOG", "LICENSE", "README.md", "Rakefile", "setup.rb", "bin/rubycas-server", "lib/casserver.rb", "lib/casserver/localization.rb", "lib/casserver/utils.rb", "lib/casserver/cas.rb", "lib/casserver/authenticators/active_resource.rb", "lib/casserver/authenticators/sql_md5.rb", "lib/casserver/authenticators/authlogic_crypto_providers/aes256.rb", "lib/casserver/authenticators/authlogic_crypto_providers/bcrypt.rb", "lib/casserver/authenticators/authlogic_crypto_providers/sha1.rb", "lib/casserver/authenticators/authlogic_crypto_providers/md5.rb", "lib/casserver/authenticators/authlogic_crypto_providers/sha512.rb", "lib/casserver/authenticators/open_id.rb", "lib/casserver/authenticators/client_certificate.rb", "lib/casserver/authenticators/active_directory_ldap.rb", "lib/casserver/authenticators/sql_rest_auth.rb", "lib/casserver/authenticators/test.rb", "lib/casserver/authenticators/sql.rb", "lib/casserver/authenticators/sql_encrypted.rb", "lib/casserver/authenticators/sql_authlogic.rb", "lib/casserver/authenticators/google.rb", "lib/casserver/authenticators/base.rb", "lib/casserver/authenticators/ntlm.rb", "lib/casserver/authenticators/ldap.rb", "lib/casserver/model.rb", "lib/casserver/server.rb", "public/themes/notice.png", "public/themes/cas.css", "public/themes/urbacon/theme.css", "public/themes/urbacon/bg.png", "public/themes/urbacon/login_box_bg.png", "public/themes/urbacon/logo.png", "public/themes/ok.png", "public/themes/simple/theme.css", "public/themes/simple/bg.png", "public/themes/simple/login_box_bg.png", "public/themes/simple/logo.png", "public/themes/simple/favicon.png", "public/themes/warning.png", "po/ja_JP/rubycas-server.po", "po/es_ES/rubycas-server.po", "po/rubycas-server.pot", "po/zh_TW/rubycas-server.po", "po/de_DE/rubycas-server.po", "po/pt_BR/rubycas-server.po", "po/zh_CN/rubycas-server.po", "po/ru_RU/rubycas-server.po", "po/pl_PL/rubycas-server.po", "po/fr_FR/rubycas-server.po", "resources/init.d.sh", "tasks/spec.rake", "tasks/localization.rake", "tasks/bundler.rake", "tasks/db/migrate.rake", "lib/casserver/views/layout.erb", "lib/casserver/views/_login_form.erb", "lib/casserver/views/login.erb", "lib/casserver/views/validate.erb", "lib/casserver/views/proxy_validate.builder", "lib/casserver/views/proxy.builder", "lib/casserver/views/service_validate.builder", "Gemfile", "rubycas-server.gemspec", "spec/alt_config.yml", "spec/authenticators/active_resource_spec.rb", "spec/authenticators/ldap_spec.rb", "spec/casserver_spec.rb", "spec/default_config.yml", "spec/model_spec.rb", "spec/spec.opts", "spec/spec_helper.rb", "spec/utils_spec.rb"]
  s.homepage = %q{http://code.google.com/p/rubycas-server/}
  s.post_install_message = %q{
For more information on RubyCAS-Server, see http://code.google.com/p/rubycas-server

If you plan on using RubyCAS-Server with languages other than English, please cd into the
RubyCAS-Server installation directory (where the gem is installed) and type `rake localization:mo`
to build the LOCALE_LC files.

}
  s.rdoc_options = ["--quiet", "--title", "RubyCAS-Server Documentation", "--opname", "index.html", "--line-numbers", "--main", "README.md", "--inline-source"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Provides single sign-on authentication for web applications using the CAS protocol.}
  s.test_files = ["spec/alt_config.yml", "spec/authenticators/active_resource_spec.rb", "spec/authenticators/ldap_spec.rb", "spec/casserver_spec.rb", "spec/default_config.yml", "spec/model_spec.rb", "spec/spec.opts", "spec/spec_helper.rb", "spec/utils_spec.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activerecord>, ["~> 2.3.6"])
      s.add_runtime_dependency(%q<activesupport>, ["~> 2.3.6"])
      s.add_runtime_dependency(%q<sinatra>, ["~> 1.0"])
      s.add_runtime_dependency(%q<gettext>, ["~> 2.1.0"])
      s.add_runtime_dependency(%q<crypt-isaac>, ["~> 0.9.1"])
      s.add_development_dependency(%q<rack-test>, [">= 0"])
      s.add_development_dependency(%q<capybara>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<rspec-core>, [">= 0"])
      s.add_development_dependency(%q<sqlite3>, ["~> 1.3.1"])
      s.add_development_dependency(%q<net-ldap>, ["~> 0.1.1"])
      s.add_development_dependency(%q<activeresource>, ["~> 2.3.6"])
    else
      s.add_dependency(%q<activerecord>, ["~> 2.3.6"])
      s.add_dependency(%q<activesupport>, ["~> 2.3.6"])
      s.add_dependency(%q<sinatra>, ["~> 1.0"])
      s.add_dependency(%q<gettext>, ["~> 2.1.0"])
      s.add_dependency(%q<crypt-isaac>, ["~> 0.9.1"])
      s.add_dependency(%q<rack-test>, [">= 0"])
      s.add_dependency(%q<capybara>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<rspec-core>, [">= 0"])
      s.add_dependency(%q<sqlite3>, ["~> 1.3.1"])
      s.add_dependency(%q<net-ldap>, ["~> 0.1.1"])
      s.add_dependency(%q<activeresource>, ["~> 2.3.6"])
    end
  else
    s.add_dependency(%q<activerecord>, ["~> 2.3.6"])
    s.add_dependency(%q<activesupport>, ["~> 2.3.6"])
    s.add_dependency(%q<sinatra>, ["~> 1.0"])
    s.add_dependency(%q<gettext>, ["~> 2.1.0"])
    s.add_dependency(%q<crypt-isaac>, ["~> 0.9.1"])
    s.add_dependency(%q<rack-test>, [">= 0"])
    s.add_dependency(%q<capybara>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<rspec-core>, [">= 0"])
    s.add_dependency(%q<sqlite3>, ["~> 1.3.1"])
    s.add_dependency(%q<net-ldap>, ["~> 0.1.1"])
    s.add_dependency(%q<activeresource>, ["~> 2.3.6"])
  end
end
